util.settings

## Class ByteProperty

- java.lang.Object
- - util.settings.Property
  - - util.settings.ByteProperty

-     public class ByteProperty
      extends Property

  A property for byte values.
  Author:
    René Mach

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteProperty(PropertyManager manager, java.lang.String key, byte defaultValue)` Creates an instance of this propety.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `clearCache()`
    `byte` | `getByte()` Gets the current value of this property.
    `byte` | `getDefault()` Gets the default value of this property.
    `void` | `setByte(byte value)` Sets the value of this property.

    - ### Methods inherited from class util.settings.Property

      `addChangeListener, fireChangeEvent, getKey, getProperty, removeChangeListener, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteProperty

          public ByteProperty(PropertyManager manager,
                      java.lang.String key,
                      byte defaultValue)

      Creates an instance of this propety.

      Parameters:
        `manager` - The property manager to use.
        `key` - The key of this property.
        `defaultValue` - The default value for this property.

  - ### Method Detail

    - #### getDefault

          public byte getDefault()

      Gets the default value of this property.

      Returns:
        The default value of this property.

    - #### getByte

          public byte getByte()

      Gets the current value of this property.

      Returns:
        The current value of this property.

    - #### setByte

          public void setByte(byte value)

      Sets the value of this property.

      Parameters:
        `value` - The new value for this property.

    - #### clearCache

          protected void clearCache()

      Specified by:
        `clearCache` in class `Property`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)